## ktikz 0.10

=== CMakeLists.txt ===
project(ktikz)
cmake_minimum_required(VERSION 2.6)

set(KTIKZ_VERSION "0.10")

add_definitions(-DORGNAME=\"Florian_Hackenberger\" -DAPPNAME=\"ktikz\")
add_definitions(-DAPPVERSION=\"${KTIKZ_VERSION}\")
add_definitions(-DKTIKZ_USE_KDE)
add_definitions(-DKTIKZ_TIKZ_DOCUMENTATION_DEFAULT=\"/usr/share/doc/texmf/pgf/pgfmanual.pdf.gz\")
if(WIN32 AND NOT UNIX)
	add_definitions(-DKTIKZ_TEMPLATE_EDITOR_DEFAULT=\"notepad\")
else(WIN32 AND NOT UNIX)
	add_definitions(-DKTIKZ_TEMPLATE_EDITOR_DEFAULT=\"kwrite\")
endif(WIN32 AND NOT UNIX)

find_package(Qt4 4.4.0 COMPONENTS QtCore QtGui QtXml REQUIRED)
find_package(KDE4 4.3.0 REQUIRED)
find_package(PopplerQt4 0.6 REQUIRED) # Warning: this is part of the kdelibs development package
include(KDE4Defaults)
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${POPPLER_QT4_DEFINITIONS})
include_directories(${KDE4_INCLUDES} ${POPPLER_QT4_INCLUDE_DIR})

add_subdirectory(app)
add_subdirectory(part)

add_subdirectory(doc)
add_subdirectory(po)

# Install text/x-pgf mimetype

find_package(SharedMimeInfo)
install(FILES common/qtikz.xml DESTINATION ${XDG_MIME_INSTALL_DIR} RENAME ktikz.xml)
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

# Remove directories

add_custom_target(uninstalldirs)
add_dependencies(uninstalldirs uninstalldirs_app uninstalldirs_part uninstalldirs_doc)

# Make packages

include(InstallRequiredSystemLibraries)
#set(CPACK_PACKAGE_NAME "KTikZ")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "KTikZ is a program for making pictures using TikZ")
set(CPACK_PACKAGE_VENDOR "Florian Hackenberger")
set(CPACK_PACKAGE_VERSION ${KTIKZ_VERSION})
#set(CPACK_PACKAGE_VERSION_MAJOR "0")
#set(CPACK_PACKAGE_VERSION_MINOR "10")
#set(CPACK_PACKAGE_VERSION_PATCH "0")
string(REGEX REPLACE "\\..*" "" CPACK_PACKAGE_VERSION_MAJOR ${KTIKZ_VERSION})
string(REGEX REPLACE "([0-9]*)\\.([0-9]*)(\\.([0-9]*))?" "\\2" CPACK_PACKAGE_VERSION_MINOR ${KTIKZ_VERSION})
string(REGEX REPLACE "([0-9]*)\\.([0-9]*)(\\.)?" "" CPACK_PACKAGE_VERSION_PATCH ${KTIKZ_VERSION})
if("${CPACK_PACKAGE_VERSION_PATCH}" STREQUAL "") # if ${KTIKZ_VERSION} is of the form 0.10 instead of 0.10.3
	set(CPACK_PACKAGE_VERSION_PATCH "0")
endif("${CPACK_PACKAGE_VERSION_PATCH}" STREQUAL "")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "KTikZ ${KTIKZ_VERSION}")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE.GPL2")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_SOURCE_IGNORE_FILES "/.svn/;/build*/*;/templates/;Makefile;~$;.qch$;.qhc$;/debian/")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${KTIKZ_VERSION}")
set(CPACK_SET_DESTDIR TRUE)
if(WIN32 AND NOT UNIX)
	# There is a bug in NSI that does not handle full unix paths properly. Make
	# sure there is at least one set of four (4) backslashes.
#	set(CPACK_PACKAGE_ICON "${CMake_SOURCE_DIR}/Utilities/Release\\\\InstallIcon.bmp")
	set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "KTikZ ${KTIKZ_VERSION}")
	set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\ktikz.exe")
	set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} KTikZ")
	set(CPACK_NSIS_HELP_LINK "http:\\\\\\\\www.hackenberger.at/ktikz-editor-for-the-tikz-language")
	set(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\www.hackenberger.at/ktikz-editor-for-the-tikz-language")
	set(CPACK_NSIS_CONTACT "florian@hackenberger.at")
	set(CPACK_NSIS_MODIFY_PATH ON)
else(WIN32 AND NOT UNIX)
	set(CPACK_STRIP_FILES "bin/ktikz")
	set(CPACK_SOURCE_STRIP_FILES "")
endif(WIN32 AND NOT UNIX)
set(CPACK_PACKAGE_EXECUTABLES "ktikz;KTikZ")
#execute_process(COMMAND dpkg --print-architecture OUTPUT_VARIABLE DEBIAN_PACKAGE_ARCHITECTURE)
#set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE ${DEBIAN_PACKAGE_ARCHITECTURE})
set(CPACK_DEBIAN_PACKAGE_DEPENDS "kdelibs5 (>=4.3.0), libpoppler-qt4-3 (>=0.6), poppler-utils (>=0.6), pgf")
set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "khelpcenter4")
set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Florian Hackenberger <florian@hackenberger.at>")
set(CPACK_DEBIAN_PACKAGE_SECTION "graphics")
#set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
include(CPack)
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

=== app/CMakeLists.txt ===
set(KTIKZ_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/ktikz)
set(KTIKZ_TRANSLATIONS_INSTALL_DIR ${KTIKZ_DATA_INSTALL_DIR}/locale)
set(KTIKZ_TEMPLATES_INSTALL_DIR ${KTIKZ_DATA_INSTALL_DIR}/templates)
add_definitions(-DKTIKZ_TRANSLATIONS_INSTALL_DIR=\\\"${KTIKZ_TRANSLATIONS_INSTALL_DIR}\\\")
add_definitions(-DKTIKZ_TEMPLATES_INSTALL_DIR=\\\"${KTIKZ_TEMPLATES_INSTALL_DIR}\\\")

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/../common
	${CMAKE_CURRENT_SOURCE_DIR}/../common/utils
)

set(ktikz_SRCS
	configappearancewidget.cpp
	configeditorwidget.cpp
	configgeneralwidget.cpp
	configdialog.cpp
	editgotolinewidget.cpp
	editindentdialog.cpp
	editreplacewidget.cpp
	editreplacecurrentwidget.cpp
	ktikzapplication.cpp
	loghighlighter.cpp
	logtextedit.cpp
	main.cpp
	mainwindow.cpp
	tikzcommandinserter.cpp
	tikzcommandwidget.cpp
	tikzdocumentationcontroller.cpp
	tikzeditor.cpp
	tikzeditorhighlighter.cpp
	tikzeditorview.cpp
	../common/templatewidget.cpp
	../common/tikzpreview.cpp
	../common/tikzpreviewthread.cpp
	../common/tikzpreviewcontroller.cpp
	../common/tikzpreviewgenerator.cpp
	../common/utils/action.cpp
	../common/utils/colorbutton.cpp
	../common/utils/filedialog.cpp
	../common/utils/lineedit.cpp
	../common/utils/recentfilesaction.cpp
	../common/utils/selectaction.cpp
	../common/utils/standardaction.cpp
	../common/utils/toggleaction.cpp
	../common/utils/url.cpp
)
# dirty hack: use qt4_wrap_ui to let Qt translate the .ui files instead of KDE (to have less duplication in the translation effort)
#kde4_add_ui_files(ktikz_SRCS
qt4_wrap_ui(ktikz_UI_FILES
	configappearancewidget.ui
	configeditorwidget.ui
	configgeneralwidget.ui
	editgotolinewidget.ui
	editindentdialog.ui
	editreplacewidget.ui
	../common/templatewidget.ui
)
kde4_add_kcfg_files(ktikz_SRCS ../common/settings.kcfgc)
qt4_add_resources(ktikz_SRCS ktikz.qrc)

file(GLOB ktikz_TS_FILES qtikz_*.ts)
qt4_add_translation(ktikz_QM_FILES ${ktikz_TS_FILES})

kde4_add_app_icon(ktikz_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-apps-ktikz.png") # add icons for win32 and mac; this command assumes that the first arg is of the form <appname>_SRCS

# dirty hack: use qt4_wrap_ui to let Qt translate the .ui files instead of KDE
#kde4_add_executable(ktikz ${ktikz_SRCS} ${ktikz_QM_FILES})
kde4_add_executable(ktikz ${ktikz_SRCS} ${ktikz_UI_FILES} ${ktikz_QM_FILES})
target_link_libraries(ktikz ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KTEXTEDITOR_LIBS} ${POPPLER_QT4_LIBRARIES})

install(TARGETS ktikz DESTINATION ${BIN_INSTALL_DIR})
install(FILES ktikzui.rc DESTINATION ${DATA_INSTALL_DIR}/ktikz)
install(FILES ../common/ktikz.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES ktikz.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES ${ktikz_QM_FILES} DESTINATION ${KTIKZ_TRANSLATIONS_INSTALL_DIR})
install(FILES ../examples/template_example.pgs ../examples/template_example2.pgs ../examples/beamer-example-template.pgs DESTINATION ${KTIKZ_TEMPLATES_INSTALL_DIR})

add_subdirectory(icons)

add_custom_target(uninstalldirs_app)
add_custom_command(TARGET uninstalldirs_app
	POST_BUILD
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZ_TRANSLATIONS_INSTALL_DIR}
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZ_TEMPLATES_INSTALL_DIR}
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZ_DATA_INSTALL_DIR}
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${DATA_INSTALL_DIR}/ktikz
	COMMENT "Removing directories ${KTIKZ_TRANSLATIONS_INSTALL_DIR} ${KTIKZ_TEMPLATES_INSTALL_DIR} ${KTIKZ_DATA_INSTALL_DIR} ${DATA_INSTALL_DIR}/ktikz"
	VERBATIM)

=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook
	INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
	SUBDIR ktikz)

install(FILES ktikz.1 DESTINATION ${MAN_INSTALL_DIR}/man1)

add_custom_target(uninstalldirs_doc)
add_custom_command(TARGET uninstalldirs_doc
	POST_BUILD
	COMMAND ${CMAKE_COMMAND} -E remove ${HTML_INSTALL_DIR}/en/ktikz/common
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${HTML_INSTALL_DIR}/en/ktikz
	COMMENT "Removing directory ${HTML_INSTALL_DIR}/en/ktikz"
	VERBATIM)

=== part/CMakeLists.txt ===
set(KTIKZPART_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/ktikzpart)
#add_definitions(-DORGNAME=\\\"Florian_Hackenberger\\\" -DAPPNAME=\\\"ktikz\\\")
#add_definitions(-DKTIKZ_USE_KDE)

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/../common
)

set(ktikzpart_SRCS
	configdialog.cpp
	configgeneralwidget.cpp
	part.cpp
	../common/templatewidget.cpp
	../common/tikzpreview.cpp
	../common/tikzpreviewthread.cpp
	../common/tikzpreviewcontroller.cpp
	../common/tikzpreviewgenerator.cpp
	../common/utils/action.cpp
	../common/utils/filedialog.cpp
	../common/utils/lineedit.cpp
	../common/utils/recentfilesaction.cpp
	../common/utils/selectaction.cpp
	../common/utils/standardaction.cpp
	../common/utils/toggleaction.cpp
	../common/utils/url.cpp
)

kde4_add_ui_files(ktikzpart_SRCS
	configgeneralwidget.ui
	../common/templatewidget.ui
)

kde4_add_kcfg_files(ktikzpart_SRCS ../common/settings.kcfgc)

kde4_add_plugin(ktikzpart ${ktikzpart_SRCS})

target_link_libraries(ktikzpart ${KDE4_KPARTS_LIBS} ${POPPLER_QT4_LIBRARIES})

install(TARGETS ktikzpart DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES ktikzpart.rc DESTINATION ${KTIKZPART_DATA_INSTALL_DIR})
install(FILES ktikzpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})

add_custom_target(uninstalldirs_part)
add_custom_command(TARGET uninstalldirs_part
	POST_BUILD
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZPART_DATA_INSTALL_DIR}
	COMMENT "Removing directory ${KTIKZPART_DATA_INSTALL_DIR}"
	VERBATIM)

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

	SET(catalogname ktikz)

	ADD_CUSTOM_TARGET(translations ALL)

	FILE(GLOB PO_FILES ${catalogname}*.po)

	FOREACH(_poFile ${PO_FILES})
		GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
		STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
		STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )

		IF( _langCode )
			GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
			SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

			ADD_CUSTOM_COMMAND(TARGET translations
			    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
			    DEPENDS ${_poFile})
			    INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
		ENDIF( _langCode )

	ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== app/icons/CMakeLists.txt ===
kde4_install_icons(${ICON_INSTALL_DIR}) # this installs the icons with a file name of the form <type><size>-<group>-<name>.<extension>, e.g. hi22-apps-ktikz.png

=== debian/changelog ===
ktikz (0.10-3build1) quantal; urgency=low

  * No change rebuild to get the latest libpoppler-qt4-3.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 13 Jun 2012 11:40:25 +0100

ktikz (0.10-3) unstable; urgency=low

  * Build-depend on libmagickcore-extra instead of libmagickcore4-extra
    (Closes: #669506).
  * Build-depend on librsvg2-bin for svg to png conversion.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Fri, 06 Apr 2012 23:20:36 +0100

ktikz (0.10-2) unstable; urgency=low

  * Add a build-dependency on pkg-config to accommodate libpoppler-dev changes.
  * Bump standards-version to 3.9.3 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 29 Feb 2012 00:18:45 +0000

ktikz (0.10-1) unstable; urgency=low

  * New upstream version.
  * Initial upload to unstable (Closes: #521837).
  * Bump standards-version to 3.9.2 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sun, 26 Jun 2011 23:49:44 +0100

ktikz (0.10~svn127-1) unstable; urgency=low

  * New upstream version (svn snapshot).
  * No longer rename sharedmimeinfo files (now done by upstream build system).
  * Drop man pages from debian directory now that they are included by upstream.
  * Add Recommends: qt4-dev-tools for qtikz for help system.
  * Add README.Debian to explain purpose of recommended packages.
  * Refresh patches.
  * Bump standards-version to 3.9.0 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 24 Jul 2010 14:15:46 +0100

ktikz (0.10~svn118-1) unstable; urgency=low

  * New upstream version (svn snapshot).
  * Drop qmake-translation.patch now included upstream.
  * Change dh7 build-system to "kde" and depend on pkg-kde-tools for this.
  * Add support for "noopt" builds of the package.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 23 Jun 2010 12:12:40 +0100

ktikz (0.10~svn112-1) unstable; urgency=low

  * New upstream version (svn snapshot).
  * Drop patch tikz-default-doc-path.patch since upstream build system now
    includes this default.
  * Also compile the Qt version (qtikz) and create the qtikz package for it.
  * Add qmake-translation.patch to manage building translations for the Qt
    version as part of the regular build process.
  * Update copyright years, people and GPL version (now GPLv2+).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Tue, 17 Jun 2010 12:54:25 +0100

ktikz (0.10~svn103-1) unstable; urgency=low

  * New upstream version (svn snapshot).
  * Convert to 3.0 (quilt) format with dh7.
  * Expand long description to include information on tikz.
  * Add watch file.
  * Update copyright years, people and GPL version (now GPLv3).
  * Patch location of PGF documentation for tikz.
  * Add myself as an Uploader.
  * Bump standards-version to 3.8.4 (no change required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 05 Jun 2010 00:02:33 +0100

ktikz (0.9-1) unstable; urgency=low

  * Upgraded to the 0.9 upstream release

 -- Florian Hackenberger <florian@hackenberger.at>  Sun, 13 Sep 2009 12:46:21 +0200

ktikz (0.8-1) unstable; urgency=low

  * Adapted debian packaging infrastructure. Thanks to Agustin Martin.

 -- Florian Hackenberger <florian@hackenberger.at>  Sat, 07 Mar 2009 15:22:21 +0100

ktikz (0.7-0.1) unstable; urgency=low

  * Make a normal Debian package, not a native one.
  * Create and install a minimal man page.
  * debian/rules:
    - Use distclean in clean target.
    - Make sure auto-generated src/ktikz.desktop is removed in clean target.
    - Call dh_desktop (Fix lintian warning: ktikz:
      desktop-mimetype-without-update-call).
    - Call dh_installmenu.
    - Remove unused stuff from original dh_make template.
  * debian/control:
    - Fix lintian 'E: ktikz: description-starts-with-package-name'.
    - Add Homepage and Vcs-Svn fields.
    - Bump Standards-Version to 3.8.0. No changes required.
  * debian/copyright: Improved wording. Fix some lintian warnings:
    - Fix lintian 'copyright-refers-to-versionless-license-file'.
    - Fix lintian 'copyright-contains-dh_make-todo-boilerplate'.

 -- Agustin Martin Domingo <agustin.martin@hispalinux.es>  Mon, 02 Mar 2009 15:49:30 +0100

ktikz (0.7) hardy; urgency=low

  * Upgraded to release 0.7

 -- Florian Hackenberger <florian@hackenberger.at>  Sat, 15 Nov 2008 14:47:54 +0100

ktikz (0.6-1) unstable; urgency=low

  * Updated source version to 0.6

 -- Florian Hackenberger <fhackenberger@hackenberger.at>  Sun, 23 Mar 2008 09:19:36 +0100

ktikz (0.4-1) unstable; urgency=low

  * Initial release of the debian package for ktikz

 -- Florian Hackenberger <florian@hackenberger.at>  Tue, 11 Sep 2007 15:32:17 +0200

=== debian/control ===
Source: ktikz
Section: graphics
Priority: optional
Maintainer: Florian Hackenberger <florian@hackenberger.at>
Uploaders: Stuart Prescott <stuart+debian@nanonanonano.net>
Build-Depends: debhelper (>= 7.3.16~),
                pkg-kde-tools (>= 0.5~),
                cmake,
                pkg-config,
                qt4-dev-tools,
                libqt4-dev (>= 4.4.0~),
                libpoppler-qt4-dev,
                kdelibs5-dev,
                xsltproc,
                imagemagick,
                libmagickcore-extra,
                librsvg2-bin
Homepage: http://www.hackenberger.at/ktikz-editor-for-the-tikz-language
Vcs-Svn: svn://hackenberger.at/svnroot/ktikz/trunk
Standards-Version: 3.9.3

Package: ktikz
Architecture: any
Depends: pgf,
          preview-latex-style,
          ${shlibs:Depends},
          ${misc:Depends}
Recommends: poppler-utils,
              khelpcenter4
Description: editor for the TikZ drawing language - KDE version
 KtikZ is a small application to assist in the creation of diagrams and
 drawings using the TikZ macros from the LaTeX package "pgf". It consists of
 a text editor pane in which the TikZ code for the drawing is edited and a
 preview pane showing the drawing as rendered by LaTeX. The preview pane can be
 updated in real-time. Common drawing tools, options and styles are available
 from the menus to assist the coding process.
 .
 This package contains the KDE version of the program.
 .
 TikZ is a user-friendly syntax layer for the PGF (portable graphics format)
 TeX macro package. Pictures can be created within a LaTeX document and
 included in the output using the most important TeX backend drivers including
 pdftex and dvips.

Package: qtikz
Architecture: any
Depends: pgf,
          preview-latex-style,
          ${shlibs:Depends},
          ${misc:Depends}
Recommends: poppler-utils,
            qt4-dev-tools
Description: editor for the TikZ drawing language - Qt version
 QtikZ is a small application to assist in the creation of diagrams and
 drawings using the TikZ macros from the LaTeX package "pgf". It consists of
 a text editor pane in which the TikZ code for the drawing is edited and a
 preview pane showing the drawing as rendered by LaTeX. The preview pane can be
 updated in real-time. Common drawing tools, options and styles are available
 from the menus to assist the coding process.
 .
 This package contains the Qt version of the program.
 .
 TikZ is a user-friendly syntax layer for the PGF (portable graphics format)
 TeX macro package. Pictures can be created within a LaTeX document and
 included in the output using the most important TeX backend drivers including
 pdftex and dvips.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	QMAKECONFIG = -config noopt
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif

%:
	# specify both --with and --buildsystem so that the options filter through overridden calls to the helper
	dh $@ --with=kde --buildsystem=kde

QTBUILD=buildqt

override_dh_auto_clean:
	# Clean up the KDE build (cmake)
	dh_auto_clean
	# Clean up the Qt build (qmake)
	[ ! -f Makefile ] || make distclean
	rm -rf app/qtikz.desktop $(QTBUILD)

override_dh_auto_configure:
	# configure the KDE version (cmake)
	dh_auto_configure
	# configure the Qt version (qmake)
	mkdir $(QTBUILD)
	cd $(QTBUILD) && qmake-qt4 $(QMAKECONFIG) ../qtikz.pro

override_dh_auto_build:
	# build the KDE version (cmake)
	dh_auto_build
	# build the Qt version (qmake)
	make -C $(QTBUILD)

override_dh_auto_install:
	# install the KDE version (cmake)
	dh_auto_install
	# install the Qt version (qmake)
	INSTALL_ROOT=$(CURDIR)/debian/qtikz make -C $(QTBUILD) install
	rm $(CURDIR)/debian/qtikz/usr/share/qtikz/LICENSE.GPL2
	# Make icons for Debian menu
	convert -background none -geometry 32x32 ./app/icons/ktikz.svg \
	  $(CURDIR)/debian/ktikz/usr/share/pixmaps/ktikz32.xpm
	convert -background none -geometry 16x16 ./app/icons/ktikz.svg \
	  $(CURDIR)/debian/ktikz/usr/share/pixmaps/ktikz16.xpm
	convert -background none -geometry 32x32 ./app/icons/qtikz.svg \
	  $(CURDIR)/debian/qtikz/usr/share/pixmaps/qtikz32.xpm
	convert -background none -geometry 16x16 ./app/icons/qtikz.svg \
	  $(CURDIR)/debian/qtikz/usr/share/pixmaps/qtikz16.xpm

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build override_dh_auto_install

=== debian/watch ===
version=3

http://www.hackenberger.at/ktikz/ktikz[-_]([\d.]+).tar.gz

## ktikz 0.11~git20150904

=== debian/changelog ===
ktikz (0.11~git20150904-2) unstable; urgency=medium

  * Define types for qMax comparison for armel and armhf, with thanks
    to Sune Vuorela for the assistance.

 -- Stuart Prescott <stuart@debian.org>  Mon, 05 Sep 2016 00:45:11 +1000

ktikz (0.11~git20150904-1) unstable; urgency=medium

  * New upstream release.
    - improves UTF-8 support (Closes: #649354).
    - uses temporary directories correctly (Closes: #649357).
  * Adjust macro definitions for newer cmake (Closes: #801581).
  * Update homepage/copyright information (Closes: #690126).
  * Add URL parmaeter to desktop file.
  * Drop obsolete menu files.

 -- Stuart Prescott <stuart@debian.org>  Mon, 29 Aug 2016 00:08:31 +1000

ktikz (0.10-4.1) unstable; urgency=medium

  * Non-maintainer upload.
     Fix FTBFS with new cmake: -DMARCO="string" should use 1 `\' instead of 3.

 -- YunQiang Su <syq@debian.org>  Mon, 12 Oct 2015 16:33:59 +0800

ktikz (0.10-4) unstable; urgency=low

  * Stop using imagemagick (Closes: #761725).
  * Update Homepage field.
  * Convert copyright file to copyright-format/1.0.
  * Change to debhelper compat 9.
  * Bump standards version to 3.9.6 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 20 Sep 2014 00:02:00 +1000

=== debian/watch ===
version=3

https://github.com/CDrummond/cantata/tags .*/v?(\d\S*)\.tar\.gz

## ktikz 0.11~git20161122

=== CMakeLists.txt ===
project(ktikz)
cmake_minimum_required(VERSION 2.6)

set(KTIKZ_VERSION "0.11")

add_definitions(-DORGNAME=\"Florian_Hackenberger\" -DAPPNAME=\"ktikz\")
add_definitions(-DAPPVERSION=\"${KTIKZ_VERSION}\")
add_definitions(-DKTIKZ_USE_KDE)
add_definitions(-DKTIKZ_TIKZ_DOCUMENTATION_DEFAULT=\"/usr/share/doc/texmf/pgf/pgfmanual.pdf.gz\")
if(WIN32 AND NOT UNIX)
	add_definitions(-DKTIKZ_TEMPLATE_EDITOR_DEFAULT=\"notepad\")
else(WIN32 AND NOT UNIX)
	add_definitions(-DKTIKZ_TEMPLATE_EDITOR_DEFAULT=\"kwrite\")
endif(WIN32 AND NOT UNIX)

find_package(Qt4 4.6.0 COMPONENTS QtCore QtGui REQUIRED)
find_package(KDE4 4.3.0 REQUIRED)
find_package(PopplerQt4 0.6 REQUIRED) # Warning: this is part of the kdelibs development package
include(KDE4Defaults)
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${POPPLER_QT4_DEFINITIONS})
include_directories(${KDE4_INCLUDES} ${POPPLER_QT4_INCLUDE_DIR})

add_subdirectory(app)
add_subdirectory(part)

add_subdirectory(doc)
add_subdirectory(translations)
add_subdirectory(data)

# Remove directories

add_custom_target(uninstalldirs)
add_dependencies(uninstalldirs uninstalldirs_app uninstalldirs_part uninstalldirs_doc)

# Make packages

include(KtikzCPackOptions.cmake)
include(CPack)
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

=== app/CMakeLists.txt ===
include(../KtikzConfig.cmake)
add_definitions(-DKTIKZ_TRANSLATIONS_INSTALL_DIR=\\\"${KTIKZ_TRANSLATIONS_INSTALL_DIR}\\\")
add_definitions(-DKTIKZ_TEMPLATES_INSTALL_DIR=\\\"${KTIKZ_TEMPLATES_INSTALL_DIR}\\\")

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/../common
	${CMAKE_CURRENT_SOURCE_DIR}/../common/utils
)

set(ktikz_SRCS
	configappearancewidget.cpp
	configeditorwidget.cpp
	configgeneralwidget.cpp
	configpreviewwidget.cpp
	configdialog.cpp
	editgotolinewidget.cpp
	editindentwidget.cpp
	editreplacewidget.cpp
	editreplacecurrentwidget.cpp
	ktikzapplication.cpp
	linenumberwidget.cpp
	loghighlighter.cpp
	logtextedit.cpp
	main.cpp
	mainwindow.cpp
	tikzcommandinserter.cpp
	tikzcommandwidget.cpp
	tikzdocumentationcontroller.cpp
	tikzeditor.cpp
	tikzeditorhighlighter.cpp
	tikzeditorview.cpp
	usercommandeditdialog.cpp
	usercommandinserter.cpp
	../common/templatewidget.cpp
	../common/tikzpreview.cpp
	../common/tikzpreviewmessagewidget.cpp
	../common/tikzpreviewrenderer.cpp
	../common/tikzpreviewcontroller.cpp
	../common/tikzpreviewgenerator.cpp
	../common/utils/action.cpp
	../common/utils/colorbutton.cpp
	../common/utils/combobox.cpp
	../common/utils/file.cpp
	../common/utils/filedialog.cpp
	../common/utils/globallocale.cpp
	../common/utils/lineedit.cpp
	../common/utils/messagebox.cpp
	../common/utils/pagedialog.cpp
	../common/utils/printpreviewdialog.cpp
	../common/utils/recentfilesaction.cpp
	../common/utils/selectaction.cpp
	../common/utils/standardaction.cpp
	../common/utils/tempdir.cpp
	../common/utils/toggleaction.cpp
	../common/utils/toolbar.cpp
	../common/utils/url.cpp
	../common/utils/zoomaction.cpp
)
# dirty hack: use qt4_wrap_ui to let Qt translate the .ui files instead of KDE (to have less duplication in the translation effort)
#kde4_add_ui_files(ktikz_SRCS
qt4_wrap_ui(ktikz_UI_FILES
	configappearancewidget.ui
	configeditorwidget.ui
	configgeneralwidget.ui
	configpreviewwidget.ui
	editgotolinewidget.ui
	editindentwidget.ui
	editreplacewidget.ui
	usercommandeditdialog.ui
	../common/templatewidget.ui
)
kde4_add_kcfg_files(ktikz_SRCS ../common/settings.kcfgc)
qt4_add_resources(ktikz_SRCS ktikz.qrc)
qt4_add_resources(ktikz_SRCS qtikz.qrc)

kde4_add_app_icon(ktikz_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-apps-ktikz.png") # add icons for win32 and mac; this command assumes that the first arg is of the form <appname>_SRCS

# dirty hack: use qt4_wrap_ui to let Qt translate the .ui files instead of KDE
#kde4_add_executable(ktikz ${ktikz_SRCS})
kde4_add_executable(ktikz ${ktikz_SRCS} ${ktikz_UI_FILES})
target_link_libraries(ktikz ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KTEXTEDITOR_LIBS} ${POPPLER_QT4_LIBRARIES})

install(TARGETS ktikz DESTINATION ${BIN_INSTALL_DIR})
install(FILES ktikzui.rc DESTINATION ${DATA_INSTALL_DIR}/ktikz)
install(FILES ../common/ktikz.kcfg DESTINATION ${KCFG_INSTALL_DIR})

add_subdirectory(icons)

add_custom_target(uninstalldirs_app)
add_custom_command(TARGET uninstalldirs_app
	POST_BUILD
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZ_TRANSLATIONS_INSTALL_DIR}
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZ_TEMPLATES_INSTALL_DIR}
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZ_DATA_INSTALL_DIR}
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${DATA_INSTALL_DIR}/ktikz
	COMMENT "Removing directories ${KTIKZ_TRANSLATIONS_INSTALL_DIR} ${KTIKZ_TEMPLATES_INSTALL_DIR} ${KTIKZ_DATA_INSTALL_DIR} ${DATA_INSTALL_DIR}/ktikz"
	VERBATIM)

=== data/CMakeLists.txt ===
include(../KtikzConfig.cmake)

### Install desktop file

install(FILES ktikz.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

### Install text/x-pgf mimetype

find_package(SharedMimeInfo)
install(FILES qtikz.xml DESTINATION ${XDG_MIME_INSTALL_DIR} RENAME ktikz.xml)
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

### Install examples

install(FILES examples/template_example.pgs
	examples/template_example2.pgs
	examples/beamer-example-template.pgs
	DESTINATION ${KTIKZ_TEMPLATES_INSTALL_DIR})

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,14 @@
+### Install KDE Help Center documentation
+
 kde4_create_handbook(index.docbook
 	INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
 	SUBDIR ktikz)
 
+### Install man files
+
 install(FILES ktikz.1 DESTINATION ${MAN_INSTALL_DIR}/man1)
+
+### Remove installation directories
 
 add_custom_target(uninstalldirs_doc)
 add_custom_command(TARGET uninstalldirs_doc

=== part/CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,41 @@
+include(../KtikzConfig.cmake)
+add_definitions(-DKTIKZ_TRANSLATIONS_INSTALL_DIR=\\\"${KTIKZ_TRANSLATIONS_INSTALL_DIR}\\\")
+
 set(KTIKZPART_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/ktikzpart)
 #add_definitions(-DORGNAME=\\\"Florian_Hackenberger\\\" -DAPPNAME=\\\"ktikz\\\")
-#add_definitions(-DKTIKZ_USE_KDE)
+add_definitions(-DKTIKZ_KPART)
 
 include_directories(
 	${CMAKE_CURRENT_SOURCE_DIR}/../common
 )
 
 set(ktikzpart_SRCS
+	browserextension.cpp
 	configdialog.cpp
 	configgeneralwidget.cpp
 	part.cpp
 	../common/templatewidget.cpp
 	../common/tikzpreview.cpp
-	../common/tikzpreviewthread.cpp
+	../common/tikzpreviewmessagewidget.cpp
+	../common/tikzpreviewrenderer.cpp
 	../common/tikzpreviewcontroller.cpp
 	../common/tikzpreviewgenerator.cpp
 	../common/utils/action.cpp
+	../common/utils/combobox.cpp
+	../common/utils/file.cpp
 	../common/utils/filedialog.cpp
+	../common/utils/globallocale.cpp
 	../common/utils/lineedit.cpp
+	../common/utils/messagebox.cpp
+	../common/utils/printpreviewdialog.cpp
 	../common/utils/recentfilesaction.cpp
 	../common/utils/selectaction.cpp
 	../common/utils/standardaction.cpp
+	../common/utils/tempdir.cpp
 	../common/utils/toggleaction.cpp
+	../common/utils/toolbar.cpp
 	../common/utils/url.cpp
+	../common/utils/zoomaction.cpp
 )
 
 kde4_add_ui_files(ktikzpart_SRCS

=== translations/CMakeLists.txt ===
include(../KtikzConfig.cmake)

### Install qm files

file(GLOB ktikz_TS_FILES */qtikz_*.ts)
qt4_add_translation(ktikz_QM_FILES ${ktikz_TS_FILES})
add_custom_target(translations ALL DEPENDS ${ktikz_QM_FILES})
install(FILES ${ktikz_QM_FILES} DESTINATION ${KTIKZ_TRANSLATIONS_INSTALL_DIR})

### Install po files

find_package(Gettext)
if(GETTEXT_FOUND)
	add_subdirectory(cs)
	add_subdirectory(de)
	add_subdirectory(es)
	add_subdirectory(fr)
else(GETTEXT_FOUND)
	message(
"------
                 NOTE: Gettext not found. Translations will *not* be installed.
------")
endif(GETTEXT_FOUND)

### Generate ts files (only to be used when ../app/tikzcommands.xml has changed)

set(TIKZCOMMANDS_TR_H tikzcommands_tr.h)
set(XMLPATTERNS xmlpatterns)
set(LUPDATE lupdate)

add_custom_target(ts)
find_program(SED_EXE NAMES sed)
if(SED_EXE)
	add_custom_command(TARGET ts
		COMMAND ${XMLPATTERNS} -output ${TIKZCOMMANDS_TR_H}_tmp ${CMAKE_CURRENT_SOURCE_DIR}/../app/extract-tikzcommands.xq
		COMMAND ${SED_EXE} -e "s/amp\\;//g" ${TIKZCOMMANDS_TR_H}_tmp > ${TIKZCOMMANDS_TR_H}
		COMMAND ${LUPDATE} ${CMAKE_CURRENT_SOURCE_DIR}/../app ${CMAKE_CURRENT_SOURCE_DIR}/../common ${CMAKE_CURRENT_SOURCE_DIR}/../common/utils ${CMAKE_CURRENT_BINARY_DIR}/${TIKZCOMMANDS_TR_H} -ts ${ktikz_TS_FILES}
		COMMAND ${CMAKE_COMMAND} -E remove ${CMAKE_CURRENT_BINARY_DIR}/${TIKZCOMMANDS_TR_H}_tmp
		COMMAND ${CMAKE_COMMAND} -E remove ${CMAKE_CURRENT_BINARY_DIR}/${TIKZCOMMANDS_TR_H}
		VERBATIM
	)
else(SED_EXE)
	message(STATUS "Unable to find sed. Please install it if you want to use the \"make ts\" target.")
endif(SED_EXE)

=== translations/cs/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(cs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== translations/de/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(de ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files})

=== debian/changelog ===
ktikz (0.11~git20161122-1) unstable; urgency=medium

  * New upstream snapshot from git (commit be66c8b).
  * Track upstream commits in d/watch as potential new releases, with thanks
    to Paul Wise for the implementation.

 -- Stuart Prescott <stuart@debian.org>  Thu, 19 Jan 2017 00:02:23 +1100

ktikz (0.11~git20150904-3) unstable; urgency=medium

  * Add appdata.xml file to package.
  * Fix watch file.

 -- Stuart Prescott <stuart@debian.org>  Tue, 29 Nov 2016 00:33:40 +1100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,20 @@
 Section: graphics
 Priority: optional
 Maintainer: Florian Hackenberger <florian@hackenberger.at>
-Uploaders: Stuart Prescott <stuart+debian@nanonanonano.net>
-Build-Depends: debhelper (>= 7.3.16~),
-                pkg-kde-tools (>= 0.5~),
+Uploaders: Stuart Prescott <stuart@debian.org>
+Build-Depends: debhelper (>= 9),
+                pkg-kde-tools,
                 cmake,
                 pkg-config,
-                qt4-dev-tools,
-                libqt4-dev (>= 4.4.0~),
+                qttools5-dev-tools,
+                qtbase5-dev,
                 libpoppler-qt4-dev,
+                libpoppler-qt5-dev,
+                libqt5sql5-sqlite,
                 kdelibs5-dev,
-                xsltproc,
-                imagemagick,
-                libmagickcore-extra,
-                librsvg2-bin
-Homepage: http://www.hackenberger.at/ktikz-editor-for-the-tikz-language
-Vcs-Svn: svn://hackenberger.at/svnroot/ktikz/trunk
-Standards-Version: 3.9.3
+                xsltproc
+Homepage: https://github.com/fhackenberger/ktikz
+Standards-Version: 3.9.8
 
 Package: ktikz
 Architecture: any
@@ -26,7 +24,7 @@
           ${shlibs:Depends},
           ${misc:Depends}
 Recommends: poppler-utils,
-              khelpcenter4
+              khelpcenter
 Description: editor for the TikZ drawing language - KDE version
  KtikZ is a small application to assist in the creation of diagrams and
  drawings using the TikZ macros from the LaTeX package "pgf". It consists of
@@ -49,7 +47,7 @@
           ${shlibs:Depends},
           ${misc:Depends}
 Recommends: poppler-utils,
-            qt4-dev-tools
+            qttools5-dev-tools
 Description: editor for the TikZ drawing language - Qt version
  QtikZ is a small application to assist in the creation of diagrams and
  drawings using the TikZ macros from the LaTeX package "pgf". It consists of

=== debian/rules ===
#!/usr/bin/make -f

# Enable additional hardening options.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	QMAKECONFIG = -config noopt
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif

%:
	# specify both --with and --buildsystem so that the options filter through overridden calls to the helper
	dh $@ --with=kde --buildsystem=kde

QTBUILD=buildqt

override_dh_auto_clean:
	# Clean up the KDE build (cmake)
	dh_auto_clean
	# Clean up the Qt build (qmake)
	[ ! -f Makefile ] || make distclean
	rm -rf app/qtikz.desktop $(QTBUILD)

override_dh_auto_configure:
	# configure the KDE version (cmake)
	dh_auto_configure
	# configure the Qt version (qmake)
	mkdir $(QTBUILD)
	cd $(QTBUILD) && QT_SELECT=5 qmake $(QMAKECONFIG) ../qtikz.pro

override_dh_auto_build:
	# build the KDE version (cmake)
	dh_auto_build
	# build the Qt version (qmake)
	QT_SELECT=5 make -C $(QTBUILD)

override_dh_auto_install:
	# install the KDE version (cmake)
	dh_auto_install
	# install the Qt version (qmake)
	INSTALL_ROOT=$(CURDIR)/debian/qtikz QT_SELECT=5 make -C $(QTBUILD) install
	./debian/icons/mkicons install
	rm $(CURDIR)/debian/qtikz/usr/share/qtikz/LICENSE.GPL2

# The following target is for the maintainer to rebuild the icons
build-icons:
	./debian/icons/mkicons convert

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build override_dh_auto_install

=== debian/watch ===
version=3

# Track upstream tags
# opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ktikz-$1\.tar\.gz/" \
# https://github.com/fhackenberger/ktikz/tags .*/v?(\d\S*)\.tar\.gz


# Track upstream commits as being potentially new versions

opts="uversionmangle=s/.*version=(\d+\.\d+).date=(\d{4})-(\d\d)-(\d\d)T.*/$1~git$2$3$4/, \
    filenamemangle=s/.*version=(\d+\.\d+).date=(\d{4})-(\d\d)-(\d\d)T.*/$1~git$2$3$4.tar.gz/" \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?file=CMakeLists.txt;type=cmake;upstream=github_commits_package_json/fhackenberger/ktikz  \
    .*/archive/(.*\.tar\.gz?.*)

## ktikz 0.12%2Bds1

=== data/CMakeLists.txt ===
include(../KtikzConfig.cmake)

### Install desktop file

install(FILES ktikz.desktop DESTINATION ${KDE_INSTALL_APPDIR})

### Install text/x-pgf mimetype

find_package(SharedMimeInfo)
install(FILES qtikz.xml DESTINATION ${KDE_INSTALL_MIMEDIR} RENAME ktikz.xml)
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})

### Install examples

install(FILES examples/template_example.pgs
	examples/template_example2.pgs
	examples/beamer-example-template.pgs
	DESTINATION ${KTIKZ_TEMPLATES_INSTALL_DIR})

=== debian/changelog ===
ktikz (0.12+ds1-1) unstable; urgency=medium

  * New upstream release supporting kf5 (no more Qt4/KDE4 components).

 -- Stuart Prescott <stuart@debian.org>  Mon, 12 Mar 2018 17:28:50 +1100

ktikz (0.12~kf5~git20180116-1) experimental; urgency=medium

  * New upstream git snapshot of the 'frameworks' branch.
    - Drop qstring-ctor.patch applied upstream.
  * Make the KDE Extras Team the maintainer.
  * Add Vcs headers for salsa.debian.org.

 -- Stuart Prescott <stuart@debian.org>  Wed, 28 Feb 2018 00:56:37 +1100

ktikz (0.12~kf5~git20180101-1) experimental; urgency=medium

  * New upstream git snapshot of the 'frameworks' branch for KF5 support
    (Closes: #874996, #883501).
  * Add qstring-ctor.patch to permit compilation with QT_NO_CAST_FROM_ASCII.
  * Update Standards-Version to 4.1.3 (no changes required).
  * Update to debhelper 11.

 -- Stuart Prescott <stuart@debian.org>  Tue, 02 Jan 2018 18:27:49 +1100

ktikz (0.11.ds1-1) unstable; urgency=medium

  * New upstream release.
    - drop patches applied upstream (cmake-defines, qreal-templates,
      qt5-fromascii).
  * Update Standards-Version to 4.1.0 (no changes required).
  * Drop obsolete mimelnk file (Closes: #875515).
  * Allow creation of a qtikz-dbgsym package.
  * Optimistically switch watch file back to looking at releases.

 -- Stuart Prescott <stuart@debian.org>  Sat, 23 Sep 2017 17:05:52 +1000

ktikz (0.11~git20161122-2) unstable; urgency=medium

  * change dependency on pgf to texlive-pictures to match new texlive
    packaging, thanks to Norbert Preining for the heads-up (Closes: #863684).
  * Bump standards-version to 4.0.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 20 Jun 2017 17:08:38 +1000

=== debian/watch ===
version=3

# Track upstream tags
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ktikz-$1\.tar\.gz/,dversionmangle=s/.ds\d//,repacksuffix=+ds1" \
 https://github.com/fhackenberger/ktikz/tags .*/v?(\d\S*)\.tar\.gz


# Track upstream commits as being potentially new versions

#opts="uversionmangle=s/.*version=(\d+\.\d+).date=(\d{4})-(\d\d)-(\d\d)T.*/$1~git$2$3$4/, \
#    filenamemangle=s/.*version=(\d+\.\d+).date=(\d{4})-(\d\d)-(\d\d)T.*/$1~git$2$3$4.tar.gz/" \
#https://qa.debian.org/cgi-bin/fakeupstream.cgi?#file=CMakeLists.txt;type=cmake;upstream=github_commits_package_json/fhackenberger/ktikz  \
#    .*/archive/(.*\.tar\.gz?.*)
